*
* DUM/CAR 7/18/83  BY R. SHIPP (460-9353)
ERASE
? '==============================================='
?
? ' PRINT FILE ON 3 X 5 CARDS'
? ' -------------------------'
DO INDEX
USE B:&FILE INDEX A:&IFILE
DO CODSEL
STORE STR(#,4) TO RECORD
STORE (0) TO COUNT
SET MARGIN TO 1
DO WHILE.NOT.EOF
IF *
   SKIP
   LOOP
ENDIF
STORE ' ' TO MNAMEL
STORE ' ' TO MNAMEF
STORE ' ' TO MCODEF
STORE ' ' TO MCODES
STORE ' ' TO YEAR
STORE ' ' TO MSTREET
STORE ' ' TO MCITY
STORE ' ' TO MSTATE
STORE ' ' TO MZIP
STORE ' ' TO MPHONE
STORE ' ' TO MMAP
IF CHECKING = T
   STORE T TO CHECK
ELSE
   STORE F TO CHECK
ENDIF
DO WHILE CHECK .OR. EOF
STORE ' ' TO CC1
STORE ' ' TO CC2
STORE ' ' TO CC3
STORE ' ' TO CC4
STORE ' ' TO CC5
STORE ' ' TO CC6
STORE ($(CODES,1,1)) TO CC1
STORE ($(CODES,2,1)) TO CC2
STORE ($(CODES,3,1)) TO CC3
STORE ($(CODES,4,1)) TO CC4
STORE ($(CODES,5,1)) TO CC5
STORE ($(CODES,6,1)) TO CC6
DO CASE
CASE C1 $ CODES
CASE C2 $ CODES
CASE C3 $ CODES
CASE C4 $ CODES
CASE C5 $ CODES
CASE C6 $ CODES
OTHERWISE
   SKIP
   LOOP
ENDCASE
STORE F TO CHECK
ENDDO
STORE STR(#,4) TO RECORD
STORE NAMEL TO MNAMEL
STORE NAMEF TO MNAMEF
STORE CODEF TO MCODEF
STORE CODES TO MCODES
STORE YEAR TO MYEAR
STORE STREET TO MSTREET
STORE CITY TO MCITY
STORE STATE TO MSTATE
STORE ZIP TO MZIP
STORE PHONE TO MPHONE
STORE MAP TO MMAP
SET PRINT ON
?  MNAMEL+' , '+MNAMEF+'   '+MPHONE
? '================================================'
?
?  MSTREET
?
?  MCITY
?
?  MSTATE+' , '+MZIP
?
?  MCODEF+'     '+CODES+'     '+MMAP+'     '+YEAR
?
? 'DATE = '+DATE()+'  REC. # = '+STR(#,4)
?
?
?
?
?
?
SET PRINT OFF
SKIP
STORE (COUNT+1) TO COUNT
ENDDO
SET PRINT ON
? '--------------------------------------------------------------------'
? ' TOTAL NUMBER OF CARDS PRINTED = '+STR(COUNT,4)
?
SET PRINT OFF
DO MENU
* THE END -- DUM/CAR
*



















